Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
observability
/
profiles
/
recommendations
Error
A valid request URL is required to generate request examples
{
  "_project_id": "abc123def456",
  "_environment_id": "main",
  "_branch_machine_name": "main-bvxea6i",
  "_agent": "a38f69ca-3b56-4ea6-beac-272b2568164a",
  "_from": 1704067200,
  "_to": 1704326400,
  "recommendations": [
    {
      "name": "tests.symfony.kernel.secret_is_set",
      "constraint": {
        "id": "tests.symfony.kernel.secret_is_set",
        "name": "tests.symfony.kernel.secret_is_set"
      },
      "total": 15,
      "_links": {
        "api_timeline": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/timeline",
          "type": "application/json"
        },
        "api_subprofiles": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/subprofiles",
          "type": "application/json"
        },
        "api_profile": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/profile",
          "type": "application/json"
        },
        "api_graph": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
          "type": "application/json"
        }
      }
    }
  ],
  "total": 42
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

The unique identifier of the Upsun project

Pattern: [a-z0-9]+
Example:

"abc123def456"

environmentId
string
required

The environment identifier

Pattern: .+
Example:

"main"

Query Parameters

from
integer

Start of time range (Unix timestamp). Defaults to 2 weeks ago.

Example:

1704067200

to
integer

End of time range (Unix timestamp). Defaults to now.

Example:

1704326400

transaction
string

Filter recommendations to a specific transaction name.

Example:

"App\\Controller\\ProductController::list"

limit
integer

Maximum number of recommendation results to return. Clamped to range 10–200. Defaults to 10 (or 200 when filtering by transaction).

Required range: 10 <= x <= 200
Example:

50

Response

Recommendation statistics retrieved successfully

_project_id
string
required

Project identifier

Example:

"abc123def456"

_environment_id
string
required

Environment identifier

Example:

"main"

_branch_machine_name
string
required

Branch machine name

Example:

"main-bvxea6i"

_agent
string<uuid>
required

Blackfire Agent UUID

Example:

"a38f69ca-3b56-4ea6-beac-272b2568164a"

_from
integer
required

Start of time range (Unix timestamp)

Example:

1704067200

_to
integer
required

End of time range (Unix timestamp)

Example:

1704326400

recommendations
object[]
required

List of failing recommendations

total
integer
required

Total number of profiles with failing recommendations

Example:

42

_transaction
string

Filtered transaction name (only present when transaction filter is applied)

Example:

"App\\Controller\\ProductController::list"

tested_transactions
string[]

List of transaction names that have been tested by recommendations

untested_top_transactions
string[]

List of top transaction names that have not been tested by recommendations

Last modified on March 25, 2026